[metadata]
name = mecom
description = Python interface for Meerstetter TEC controller devices for SCIPP
long_description = file: README.md
long_description_content_type = text/markdown
url = https://gitlab.cern.ch/scipp/pixels/pymecom/
author = Giordon Stark
author_email = kratsg@gmail.com
maintainer = Giordon Stark
maintainer_email = kratsg@gmail.com
license = MIT
license_files = LICENSE
platforms =
    Any
classifiers =
    Development Status :: 1 - Planning
    Intended Audience :: Developers
    Intended Audience :: Science/Research
    License :: OSI Approved :: BSD License
    License :: OSI Approved :: MIT License
    Operating System :: OS Independent
    Programming Language :: Python
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3 :: Only
    Topic :: Scientific/Engineering
project_urls =
    Documentation = https://gitlab.cern.ch/scipp/pixels/pymecom/
    Bug Tracker = https://gitlab.cern.ch/scipp/pixels/pymecom/-/issues
    Discussions = https://gitlab.cern.ch/scipp/pixels/pymecom/-/issues
    Changelog = https://gitlab.cern.ch/scipp/pixels/pymecom/-/tags

[options]
packages = find:
install_requires =
    paho.mqtt
    pySerial>=3.4
    pythoncrc
    rich
python_requires = >=3.7
include_package_data = True
package_dir =
    = src

[options.packages.find]
where = src

[options.extras_require]
dev =
    pre-commit
    tbump>=6.7.0
    twine

[flake8]
extend-ignore = E203, E501, E722, B950, B026, E721
select = C,E,F,W,T,B,B9,I
count = True
statistics = True
